# Copyright 2026 SigmaSRC, Inc. All Rights Reserved.

"""FuelStruct object and other Fuel objects."""

class FuelStruct(object):

    """FuelStruct object.

    This is the base class for Fuel 'struct' objects.

    It currently provides a nices repr().

    """

    def __repr__(self):
        d = self.__dict__
        keys = sorted(d.keys())
        L = []
        for key in keys:
            L.append("%s=%r" % (key, d[key]))
        return "%s(%s)" % (self.__class__.__name__, ", ".join(L))
